| Home | Libraries | People | FAQ | More

## Struct template regex_id_filter_predicate

boost::xpressive::regex_id_filter_predicate —

## Synopsis

    template<typename BidiIter>
    struct regex_id_filter_predicate {
      // construct/copy/destruct
      regex_id_filter_predicate(regex_id_type);

      // public member functions
      bool operator()(match_results< BidiIter > const &) const;
    };

## Description

### `regex_id_filter_predicate` construct/copy/destruct

1.     regex_id_filter_predicate(regex_id_type regex_id);

### `regex_id_filter_predicate` public member functions

1.     bool operator()(match_results< BidiIter > const & res) const;

| Copyright © 2003, 2004 Eric Niebler